# Interface ClientRequestArgs

interface ClientRequestArgs {
_defaultAgent?: Agent;
agent?: boolean | Agent;
auth?: null | string;
createConnection?: ((options, oncreate) => undefined | null | Duplex);
defaultPort?: string | number;
family?: number;
headers?: OutgoingHttpHeaders;
hints?: number;
host?: null | string;
hostname?: null | string;
insecureHTTPParser?: boolean;
joinDuplicateHeaders?: boolean;
localAddress?: string;
localPort?: number;
lookup?: LookupFunction;
maxHeaderSize?: number;
method?: string;
path?: null | string;
port?: null | string | number;
protocol?: null | string;
setHost?: boolean;
signal?: AbortSignal;
socketPath?: string;
timeout?: number;
uniqueHeaders?: (string | string[])[];
}

- Defined in node_modules/@types/node/http.d.ts:197

#####
Index

### Properties

_defaultAgent?
agent?
auth?
createConnection?
defaultPort?
family?
headers?
hints?
host?
hostname?
insecureHTTPParser?
joinDuplicateHeaders?
localAddress?
localPort?
lookup?
maxHeaderSize?
method?
path?
port?
protocol?
setHost?
signal?
socketPath?
timeout?
uniqueHeaders?

## Properties

### `Optional` _defaultAgent

_defaultAgent?: Agent

- Defined in node_modules/@types/node/http.d.ts:198

### `Optional` agent

agent?: boolean | Agent

- Defined in node_modules/@types/node/http.d.ts:199

### `Optional` auth

auth?: null | string

- Defined in node_modules/@types/node/http.d.ts:200

### `Optional` createConnection

createConnection?: ((options, oncreate) => undefined | null | Duplex)

#### Type declaration

- - (options, oncreate): undefined | null | Duplex

  - #### Parameters

    - options: ClientRequestArgs
    - oncreate: ((err, socket) => void)
      - - (err, socket): void

        - #### Parameters

          - err: null | Error
          - socket: Duplex

          #### Returns void

    #### Returns undefined | null | Duplex

- Defined in node_modules/@types/node/http.d.ts:201

### `Optional` defaultPort

defaultPort?: string | number

- Defined in node_modules/@types/node/http.d.ts:207

### `Optional` family

family?: number

- Defined in node_modules/@types/node/http.d.ts:208

### `Optional` headers

headers?: OutgoingHttpHeaders

- Defined in node_modules/@types/node/http.d.ts:209

### `Optional` hints

hints?: number

- Defined in node_modules/@types/node/http.d.ts:210

### `Optional` host

host?: null | string

- Defined in node_modules/@types/node/http.d.ts:211

### `Optional` hostname

hostname?: null | string

- Defined in node_modules/@types/node/http.d.ts:212

### `Optional` insecureHTTPParser

insecureHTTPParser?: boolean

- Defined in node_modules/@types/node/http.d.ts:213

### `Optional` joinDuplicateHeaders

joinDuplicateHeaders?: boolean

- Defined in node_modules/@types/node/http.d.ts:230

### `Optional` localAddress

localAddress?: string

- Defined in node_modules/@types/node/http.d.ts:214

### `Optional` localPort

localPort?: number

- Defined in node_modules/@types/node/http.d.ts:215

### `Optional` lookup

lookup?: LookupFunction

- Defined in node_modules/@types/node/http.d.ts:216

### `Optional` maxHeaderSize

maxHeaderSize?: number

#### Default

    16384

- Defined in node_modules/@types/node/http.d.ts:220

### `Optional` method

method?: string

- Defined in node_modules/@types/node/http.d.ts:221

### `Optional` path

path?: null | string

- Defined in node_modules/@types/node/http.d.ts:222

### `Optional` port

port?: null | string | number

- Defined in node_modules/@types/node/http.d.ts:223

### `Optional` protocol

protocol?: null | string

- Defined in node_modules/@types/node/http.d.ts:224

### `Optional` setHost

setHost?: boolean

- Defined in node_modules/@types/node/http.d.ts:225

### `Optional` signal

signal?: AbortSignal

- Defined in node_modules/@types/node/http.d.ts:226

### `Optional` socketPath

socketPath?: string

- Defined in node_modules/@types/node/http.d.ts:227

### `Optional` timeout

timeout?: number

- Defined in node_modules/@types/node/http.d.ts:228

### `Optional` uniqueHeaders

uniqueHeaders?: (string | string[])[]

- Defined in node_modules/@types/node/http.d.ts:229